Bug 242265 - switching keyboard layout is not longer applying to windows already opened
switching keyboard layout is not longer applying to windows already opened
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Lukáš Tinkl
Ben Levenson
:
: 243236 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-02 16:36 EDT by Flavio Cardone
Modified: 2015-07-13 13:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 23:55:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Flavio Cardone 2007-06-02 16:36:16 EDT
Description of problem:
When changing keyboard layout, the changes no longer affect windows that are
already open. In other words, all windows keep the keyboard layout they had when
they were opened, regardless of the changes made with the keyboard applet. If,
for instance, I start OpenOffice with the US layout and switch to Russian, the
layout will stay in US - but not in newly-opened windows. To change layout I
would have to close OpenOffice and open it again while the keyboard is set to
Russian. Happens with all applications. On control panel, switching options, the
choice is to make the change global.

Version-Release number of selected component (if applicable):
kdebase-3.5.6-12.fc7

How reproducible:
always

Steps to Reproduce:
just switch keyboard layout
  
Actual results:
new keyboard layout does not apply to windows which are already open

Expected results:
keyboard layout should apply immediately to all windows

Additional info:
Comment 1 Flavio Cardone 2007-06-08 01:22:03 EDT
I solved the problem by downgrading libXi and libXi-devel - apparently KDE
doesn't like the new libXi. The bug was discussed in Gentoo in Nov. 2006 !
http://forums.gentoo.org/viewtopic-t-513655-highlight-kxkb.html

Pity that Fedora developers didn't notice that :-(
Comment 2 Matěj Cepl 2007-06-08 19:14:17 EDT
*** Bug 243236 has been marked as a duplicate of this bug. ***
Comment 3 Matěj Cepl 2007-06-08 19:17:59 EDT
@sandmann -- any comments on this?
Comment 4 Lukáš Tinkl 2007-12-11 10:01:41 EST
In Control Center module "Keyboard Layout" check that Switching Options -> 
Switching Policy is set to Global.
Comment 5 Brian Powell 2008-04-24 23:55:04 EDT
Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.
Comment 6 Brian Powell 2008-04-25 00:04:07 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.